Bug 8181 - smbtad should maintain an extra table in the database with version information
smbtad should maintain an extra table in the database with version information
Status: RESOLVED FIXED
Product: smbta
Classification: Unclassified
Component: smbtad
unspecified
All All
: P5 enhancement
: ---
Assigned To: Holger Hetterich
:
Depends on:
Blocks: 8206
  Show dependency treegraph
 
Reported: 2011-05-29 12:06 UTC by Holger Hetterich
Modified: 2011-09-06 15:57 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Hetterich 2011-05-29 12:06:35 UTC
smbtad can log the current VFS module version information in it's own table in the database. Also it can store it's own version in that table, and smbtatools can check for the version of smbtad that is running.
Comment 1 Holger Hetterich 2011-05-29 12:07:27 UTC
This way, smbtaquery can automatically decide if a database update is necessary or not when the Software suite is updated.
Comment 2 Holger Hetterich 2011-06-08 16:37:00 UTC
They exact way to differ VFS modules is to capture the IP adress they are coming from. Therefore, we will log the struct sockaddr contents in the extra table.
Comment 3 Holger Hetterich 2011-07-05 19:44:10 UTC
An initial table for this is now supported in smbtad, implementation of storing the values is needed.
Comment 4 Holger Hetterich 2011-09-06 15:57:53 UTC
This is fixed